.sfondo-header {
  height: 80%;
}

.scopri-container {
  background-color: var(--holzhof-color-light-grey);
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 0 16%;
  gap: 40px;
  align-items: center;
}

.img-scopri-container {
  width: 100%;
  aspect-ratio: 2 / 1;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  margin-top: -60px;
}

.scopri-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: top;
  mix-blend-mode: multiply;
}

@media (max-width: 540px) {
  .img-scopri-container {
    margin-top: 0px;
  }
}

.scopri {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  text-align: left;
  padding: 10px;
}

.scopri p {
  width: 100%;
  margin: 0 0 15px 0;
  padding: 0;
}

.scopri-button {
  text-decoration: none;
}

@media (max-width: 768px) {
  .scopri-container {
    grid-template-columns: 1fr;
    padding: 10px 16%;
    gap: 30px;
  }

  .scopri {
    align-items: center;
    text-align: center;
  }
}

.corpo {
  margin-top: 20px;
  padding-top: 2%;
  padding-bottom: 2%;
}

.intestazione {
  margin-bottom: 20px;
  padding-bottom: 1%;
}

.titolo-cards {
  display: flex;
  justify-content: center;
  text-align: center;
  position: relative;
  width: 100%;
  white-space: normal;
  left: 50%;
  transform: translateX(-50%);
  container-type: inline-size;
  margin-bottom: 10vh;
}

.cards-ferrero {
  background: var(--holzhof-color-light-grey);
  padding-left: 16%;
  padding-right: 16%;
  padding-top: 2%;
  padding-bottom: 5%;
}

.container-materiali {
  padding-left: 16%;
  padding-right: 16%;
  padding-bottom: 5%;
}

.dynamic-grid.gallery-materiali {
  width: 80%;
  gap: 20px;
  margin-bottom: 1rem;
}

.single-square {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
}

@media (min-width: 640px) {
  .dynamic-grid.gallery-materiali {
    grid-template-columns: repeat(4, minmax(0, 1fr));
  }
}

@media (min-width: 1024px) {
  .dynamic-grid.gallery-materiali {
    grid-template-columns: repeat(5, minmax(0, 1fr));
  }
}

.img-gallery-materiali {
  border-radius: 16px;
  margin-bottom: 10px;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.img-gallery {
  width: 100%;
  border-radius: 16px;
  height: 100%;
  object-fit: cover;
  z-index: 1;
  position: relative;
}

@media (max-width: 639px) {
  .dynamic-grid.gallery-materiali {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .img-gallery-materiali {
    width: 70%;
  }
}

.gallery-ferrero {
  background-color: var(--holzhof-color-light-grey);
  padding-top: 3%;
  padding-left: 10%;
  padding-right: 10%;
}

.container-pulsante {
  display: flex;
  width: 100%;
}

.pulsante-gallery {
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  z-index: 999;
}

.testo-cards {
  display: flex;
  flex-direction: row;
  gap: 20px;
  padding-top: 10px;
  align-items: flex-start;
}

.testo-cards .numero {
  font-size: clamp(40px, 6vw, 60px) !important;
  flex-shrink: 0;
  line-height: 0.8;
  margin: 0;
  font-weight: bold;
}

.testo-cards .testo {
  display: flex;
  flex-direction: column;
  text-align: left;
  margin-top: 5px;
}

.container-download {
  background-color: var(--holzhof-color-light-grey);
  padding-top: 3%;
  padding-left: 10%;
  display: flex;
  padding-right: 10%;
  align-items: center;
  justify-content: center;
}

.container-gallery-ferrero {
  width: 100%;
  height: max-content;
  padding-left: 16%;
  padding-right: 16%;
}

.container-gallery-dinamica {
  display: grid !important;
  grid-template-columns: repeat(4, 1fr);
  gap: 1rem;
  container-type: inline-size;
  margin-top: 9vh;
  margin-bottom: 9vh;
}

.container-gallery-dinamica > * {
  aspect-ratio: 10 / 9;
}

.immagine-grande {
  grid-area: span 2 / span 2;
}

.ultima-immagine {
  grid-column: span 2;
  aspect-ratio: auto;
  height: calc((90cqw - 2.7rem) / 4);
}

.container-gallery-dinamica > * img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media (max-width: 900px) {
  .container-gallery-dinamica {
    grid-template-columns: repeat(2, 1fr);
  }

  .container-gallery-dinamica > * {
    aspect-ratio: 10 / 6;
  }

  .ultima-immagine {
    grid-area: span 2 / span 2;
    height: auto;
    aspect-ratio: 10 / 6;
  }
}

@media (max-width: 600px) {
  .container-gallery-dinamica {
    grid-template-columns: 1fr;
    padding: 0 8% 0 8%;
  }

  .container-gallery-dinamica > * {
    aspect-ratio: 10 / 6;
  }

  .immagine-grande {
    grid-area: span 1 / span 1;
  }

  .ultima-immagine {
    grid-area: span 1 / span 1;
    height: auto;
    aspect-ratio: 10 / 6;
  }
}

.trattini-up,
.trattini-down {
  position: relative;
  width: 100%;
  height: 100%;
}

.trattini-up::before {
  content: "";
  position: absolute;
  width: 75%;
  height: 100%;
  top: -70px;
  left: 50%;
  transform: translate(-50%, 0%);
  border-radius: 64px;
  pointer-events: none;
  background-color: var(--holzhof-color-green);
  -webkit-mask-image: url("data:image/svg+xml,%3Csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3E%3Crect x='3' y='3' width='calc(100% - 6px)' height='calc(100% - 6px)' fill='none' rx='64' stroke='white' stroke-width='1' stroke-dasharray='10 6'/%3E%3C/svg%3E");
  mask-image: url("data:image/svg+xml,%3Csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3E%3Crect x='3' y='3' width='calc(100% - 6px)' height='calc(100% - 6px)' fill='none' rx='64' stroke='white' stroke-width='1' stroke-dasharray='10 6'/%3E%3C/svg%3E");
}

.trattini-down::before {
  content: "";
  position: absolute;
  width: 75%;
  height: 100%;
  bottom: -70px;
  left: 50%;
  transform: translate(-50%, 0%);
  border-radius: 64px;
  pointer-events: none;
  background-color: var(--holzhof-color-green);
  -webkit-mask-image: url("data:image/svg+xml,%3Csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3E%3Crect x='3' y='3' width='calc(100% - 6px)' height='calc(100% - 6px)' fill='none' rx='64' stroke='white' stroke-width='1' stroke-dasharray='10 6'/%3E%3C/svg%3E");
  mask-image: url("data:image/svg+xml,%3Csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3E%3Crect x='3' y='3' width='calc(100% - 6px)' height='calc(100% - 6px)' fill='none' rx='64' stroke='white' stroke-width='1' stroke-dasharray='10 6'/%3E%3C/svg%3E");
}